import config from '../config.js';
const getDomain = (uri, method) => {
	return config.serverUrl + '/api' + uri;
}
export const myRequest = (uri, method, data) => {
	let baseUrl = getDomain(uri, method);
	return new Promise((resolve, reject) => {
		uni.request({
			url: baseUrl,
			method: method || 'GET',
			data: data || {},
			success: (res) => {
				if (res.data.errcode != 0) {
					return uni.showToast({
						title: res.data.errmsg,
						icon: 'error'
					});
				}
				resolve(res.data);
			},
			fail: (err) => {
				uni.showToast({
					title: '请求接口失败',
					icon: 'fail'
				})
				reject(err)
			}
		})
	})
}
